ssl_client_options

Experimental - SSL configuration for outbound connections. More...

`#include <ssl.hpp>`

Inherits ssl_domain.

## Public Member Functions

| ssl_client_options (const std::string &trust_db, enum ssl::verify_mode=ssl::VERIFY_PEER_NAME)
| Create SSL client options (no client certificate).
| ssl_client_options (ssl_certificate &, const std::string &trust_db, enum ssl::verify_mode=ssl::VERIFY_PEER_NAME)
| Create SSL client options with a client certificate.
| ssl_client_options ()
| SSL connections restricted to available anonymous cipher suites on the platform. More...

## Detailed Description

Experimental - SSL configuration for outbound connections.

## Constructor & Destructor Documentation

## ssl_client_options()

ssl_client_options | ( |  | ) |

SSL connections restricted to available anonymous cipher suites on the platform.

The documentation for this class was generated from the following file:

- proton/ssl.hpp